From d95c53d412ff0e94e162eaf3990233fae007ae3f Mon Sep 17 00:00:00 2001
From: Boris Mironov <boris.mironov@gmail.com>
Date: Mon, 16 Feb 2026 10:07:13 +0700
Subject: [PATCH v9 20/26] Running indent to fix code formatting

---
 src/bin/pgbench/pgbench.c | 111 +++++++++++++++++++++-----------------
 1 file changed, 62 insertions(+), 49 deletions(-)

diff --git a/src/bin/pgbench/pgbench.c b/src/bin/pgbench/pgbench.c
index 9f3d7f99a25..8198f1d4c9a 100644
--- a/src/bin/pgbench/pgbench.c
+++ b/src/bin/pgbench/pgbench.c
@@ -159,7 +159,7 @@ typedef struct socket_set
 
 /********************************************************************
  * some configurable parameters */
-#define DEFAULT_INIT_STEPS "dtgvp"		/* default -I setting */
+#define DEFAULT_INIT_STEPS "dtgvp"	/* default -I setting */
 #define ALL_INIT_STEPS "dtgMScGUvpf"	/* all possible steps */
 
 #define LOG_STEP_SECONDS	5	/* seconds between log messages */
@@ -171,16 +171,24 @@ typedef struct socket_set
 #define MAX_ZIPFIAN_PARAM		1000.0	/* maximum parameter for zipfian */
 
 /* server-side methods to generate data */
-#define INIT_STEP_GEN_TYPE_INSERT_SERIES	'G'	/* use INSERT .. SELECT generate_series to generate data */
-#define INIT_STEP_GEN_TYPE_INSERT_UNNEST	'U'	/* use INSERT .. SELECT unnest to generate data */
+#define INIT_STEP_GEN_TYPE_INSERT_SERIES	'G' /* use INSERT .. SELECT
+												 * generate_series to generate
+												 * data */
+#define INIT_STEP_GEN_TYPE_INSERT_UNNEST	'U' /* use INSERT .. SELECT unnest
+												 * to generate data */
 /* client-side methods to generate data */
-#define INIT_STEP_GEN_TYPE_COPY_TEXT		'g' /* use COPY .. FROM STDIN .. TEXT to generate data */
-#define INIT_STEP_GEN_TYPE_COPY_BINARY		'c' /* use COPY .. FROM STDIN .. BINARY to generate data */
+#define INIT_STEP_GEN_TYPE_COPY_TEXT		'g' /* use COPY .. FROM STDIN ..
+												 * TEXT to generate data */
+#define INIT_STEP_GEN_TYPE_COPY_BINARY		'c' /* use COPY .. FROM STDIN ..
+												 * BINARY to generate data */
 /* data init pseudo steps */
-#define INIT_STEP_GEN_TYPE_SINGLE_XACT		'S' /* switch to init data as single transaction */
-#define INIT_STEP_GEN_TYPE_MULTI_XACT		'M' /* switch to init data as multiple transactions */
+#define INIT_STEP_GEN_TYPE_SINGLE_XACT		'S' /* switch to init data as
+												 * single transaction */
+#define INIT_STEP_GEN_TYPE_MULTI_XACT		'M' /* switch to init data as
+												 * multiple transactions */
 
-static bool multi_xact = false;	/* init data type (as single or multiple transactions) */
+static bool multi_xact = false; /* init data type (as single or multiple
+								 * transactions) */
 static int	nxacts = 0;			/* number of transactions per client */
 static int	duration = 0;		/* duration in seconds */
 static int64 end_time = 0;		/* when to stop in micro seconds, under -T */
@@ -194,14 +202,15 @@ static int	scale = 1;
 /*
  * mode of data generation to use
  */
-static char	data_generation_type = INIT_STEP_GEN_TYPE_COPY_TEXT;
+static char data_generation_type = INIT_STEP_GEN_TYPE_COPY_TEXT;
 
 /*
  * COPY FROM BINARY execution buffer
  */
-#define BIN_COPY_BUF_SIZE	102400				/* maximum buffer size for COPY FROM BINARY */
-static char		*bin_copy_buffer = NULL;		/* buffer for COPY FROM BINARY */
-static int32_t	 bin_copy_buffer_length = 0;	/* current buffer size */
+#define BIN_COPY_BUF_SIZE	102400	/* maximum buffer size for COPY FROM
+									 * BINARY */
+static char *bin_copy_buffer = NULL;	/* buffer for COPY FROM BINARY */
+static int32_t bin_copy_buffer_length = 0;	/* current buffer size */
 
 /*
  * fillfactor. for example, fillfactor = 90 will use only 90 percent
@@ -872,8 +881,8 @@ static int	wait_on_socket_set(socket_set *sa, int64 usecs);
 static bool socket_has_input(socket_set *sa, int fd, int idx);
 
 /* callback used to build rows for COPY during data loading */
-typedef void (*initRowMethod)		(PQExpBufferData *sql, int64 curr);
-typedef void (*initRowMethodBinary)	(PGconn *con, int64_t curr, int32_t parent, int8_t columnCounter);
+typedef void (*initRowMethod) (PQExpBufferData *sql, int64 curr);
+typedef void (*initRowMethodBinary) (PGconn *con, int64_t curr, int32_t parent, int8_t columnCounter);
 
 /* callback functions for our flex lexer */
 static const PsqlScanCallbacks pgbench_callbacks = {
@@ -5200,7 +5209,7 @@ initGenerateDataClientSideTextFrmt(PGconn *con)
 	 * already exist
 	 */
 	initPopulateTableCopyText(con, "pgbench_branches", nbranches, initBranch);
-	initPopulateTableCopyText(con, "pgbench_tellers",  ntellers,  initTeller);
+	initPopulateTableCopyText(con, "pgbench_tellers", ntellers, initTeller);
 	initPopulateTableCopyText(con, "pgbench_accounts", naccounts, initAccount);
 
 	executeStatement(con, "commit");
@@ -5260,8 +5269,9 @@ addColumnCounter(int16_t n)
 static void
 addInt32Column(int32_t value)
 {
-	int32_t	data = value;
-	int32_t	size = sizeof(data);
+	int32_t		data = value;
+	int32_t		size = sizeof(data);
+
 	bufferData((void *) &size, sizeof(size));
 	bufferData((void *) &data, sizeof(data));
 }
@@ -5272,8 +5282,9 @@ addInt32Column(int32_t value)
 static void
 addInt64Column(int64_t value)
 {
-	int64_t	data = value;
-	int32_t	size = sizeof(data);
+	int64_t		data = value;
+	int32_t		size = sizeof(data);
+
 	bufferData((void *) &size, sizeof(size));
 	bufferData((void *) &data, sizeof(data));
 }
@@ -5284,9 +5295,9 @@ addInt64Column(int64_t value)
 static void
 sendBinaryCopyHeader(PGconn *con)
 {
-	char header[] = {'P','G','C','O','P','Y','\n','\377','\r','\n','\0',
-					 '\0','\0','\0','\0',
-					 '\0','\0','\0','\0' };
+	char		header[] = {'P', 'G', 'C', 'O', 'P', 'Y', '\n', '\377', '\r', '\n', '\0',
+		'\0', '\0', '\0', '\0',
+	'\0', '\0', '\0', '\0'};
 
 	PQputCopyData(con, header, 19);
 }
@@ -5297,7 +5308,7 @@ sendBinaryCopyHeader(PGconn *con)
 static void
 sendBinaryCopyTrailer(PGconn *con)
 {
-	static char trailer[] = { 0xFF, 0xFF };
+	static char trailer[] = {0xFF, 0xFF};
 
 	PQputCopyData(con, trailer, 2);
 }
@@ -5308,7 +5319,7 @@ sendBinaryCopyTrailer(PGconn *con)
 static void
 flushBuffer(PGconn *con, int16_t row_len)
 {
-	PGresult *res;
+	PGresult   *res;
 
 	if (bin_copy_buffer_length + row_len > BIN_COPY_BUF_SIZE)
 	{
@@ -5330,12 +5341,13 @@ flushBuffer(PGconn *con, int16_t row_len)
 static void
 initBranchBinary(PGconn *con, int64_t curr, int32_t parent, int8_t columnCounter)
 {
-	/*
+	/*---
 	 * Each row of branch table has following extra bytes:
 	 * - 2 bytes for number of columns
 	 * - 4 bytes as length for each of table's 3 columns
+	 *---
 	 */
-	int16_t	max_row_len =  35 + 2 + 4*3; /* max row size is 35 */
+	int16_t		max_row_len = 35 + 2 + 4 * 3;	/* max row size is 35 */
 
 	flushBuffer(con, max_row_len);
 
@@ -5351,12 +5363,13 @@ initBranchBinary(PGconn *con, int64_t curr, int32_t parent, int8_t columnCounter
 static void
 initTellerBinary(PGconn *con, int64_t curr, int32_t parent, int8_t columnCounter)
 {
-	/*
+	/*---
 	 * Each row of tellers table has following extra bytes:
 	 * - 2 bytes for number of columns
 	 * - 4 bytes as length for each of table's 4 columns
+	 *---
 	 */
-	int16_t	max_row_len =  40 + 2 + 4*4; /* max row size is 40 */
+	int16_t		max_row_len = 40 + 2 + 4 * 4;	/* max row size is 40 */
 
 	flushBuffer(con, max_row_len);
 
@@ -5373,12 +5386,13 @@ initTellerBinary(PGconn *con, int64_t curr, int32_t parent, int8_t columnCounter
 static void
 initAccountBinary(PGconn *con, int64_t curr, int32_t parent, int8_t columnCounter)
 {
-	/*
+	/*---
 	 * Each row of accounts table has following extra bytes:
 	 * - 2 bytes for number of columns
 	 * - 4 bytes as length for each of table's 4 columns
 	 */
-	int16_t	max_row_len = 250 + 2 + 4*4; /* max row size is 250 for int64 */
+	int16_t		max_row_len = 250 + 2 + 4 * 4;	/* max row size is 250 for
+												 * int64 */
 
 	flushBuffer(con, max_row_len);
 
@@ -5401,11 +5415,11 @@ initPopulateTableCopyBinary(PGconn *con, char *table, char *columns,
 							int counter, int64_t base, initRowMethodBinary init_row,
 							int columnCounter)
 {
-	int			 n;
-	PGresult	*res;
-	char		 copy_statement[256];
-	const char	*copy_statement_fmt = "copy %s (%s) from stdin (format binary)";
-	int64_t		 start = base * counter;
+	int			n;
+	PGresult   *res;
+	char		copy_statement[256];
+	const char *copy_statement_fmt = "copy %s (%s) from stdin (format binary)";
+	int64_t		start = base * counter;
 
 	bin_copy_buffer_length = 0;
 
@@ -5450,7 +5464,7 @@ initPopulateTableCopyBinary(PGconn *con, char *table, char *columns,
 	res = PQgetResult(con);
 	if (PQresultStatus(res) == PGRES_COPY_IN)
 	{
-		if (PQputCopyEnd(con, NULL) == 1) /* success */
+		if (PQputCopyEnd(con, NULL) == 1)	/* success */
 		{
 			PQclear(res);
 			res = PQgetResult(con);
@@ -5476,9 +5490,8 @@ initGenerateDataClientSideBinaryFrmt(PGconn *con)
 	bin_copy_buffer_length = 0;
 
 	/*
-	 * we do all of this in multiple transactions
-	 * to minimize load on DB server and perhaps
-	 * in future allow load in parallel sessions
+	 * we do all of this in multiple transactions to minimize load on DB
+	 * server and perhaps in future allow load in parallel sessions
 	 */
 	executeStatement(con, "begin");
 
@@ -5495,8 +5508,8 @@ initGenerateDataClientSideBinaryFrmt(PGconn *con)
 
 		initPopulateTableCopyBinary(con, "pgbench_branches", "bid, bbalance",
 									i, nbranches, initBranchBinary, 2);
-		initPopulateTableCopyBinary(con, "pgbench_tellers",  "tid, bid, tbalance",
-									i, ntellers,  initTellerBinary, 3);
+		initPopulateTableCopyBinary(con, "pgbench_tellers", "tid, bid, tbalance",
+									i, ntellers, initTellerBinary, 3);
 		initPopulateTableCopyBinary(con, "pgbench_accounts", "aid, bid, abalance",
 									i, naccounts, initAccountBinary, 3);
 
@@ -5570,10 +5583,10 @@ generateDataInsertSeries(PGconn *con)
 
 		printfPQExpBuffer(&sql,
 						  "insert into pgbench_accounts(aid, bid, abalance, "
-									   "filler) "
+						  "filler) "
 						  "select aid + 1, aid / %d + 1, 0, '' "
 						  "from generate_series(" INT64_FORMAT ", "
-								INT64_FORMAT ") as aid",
+						  INT64_FORMAT ") as aid",
 						  naccounts, (int64) i * naccounts,
 						  (int64) (i + 1) * naccounts - 1);
 		executeStatement(con, sql.data);
@@ -5622,7 +5635,7 @@ generateDataInsertUnnest(PGconn *con)
 		printfPQExpBuffer(&sql,
 						  "insert into pgbench_tellers(tid, bid, tbalance) "
 						  "select unnest(array_agg(s.i order by s.i)) as tid, "
-								  "%d as bid, 0 as tbalance "
+						  "%d as bid, 0 as tbalance "
 						  "from generate_series(%d, %d) as s(i)",
 						  s + 1, s * ntellers + 1, (s + 1) * ntellers);
 		executeStatement(con, sql.data);
@@ -5630,13 +5643,13 @@ generateDataInsertUnnest(PGconn *con)
 		printfPQExpBuffer(&sql,
 						  "with data as ("
 						  "   select generate_series(" INT64_FORMAT ", "
-							  INT64_FORMAT ") as i) "
+						  INT64_FORMAT ") as i) "
 						  "insert into pgbench_accounts(aid, bid, "
-									  "abalance, filler) "
+						  "abalance, filler) "
 						  "select unnest(aid), unnest(bid), 0 as abalance, "
-								  "'' as filler "
+						  "'' as filler "
 						  "from (select array_agg(i+1) aid, "
-									   "array_agg(i/%d + 1) bid from data)",
+						  "array_agg(i/%d + 1) bid from data)",
 						  (int64) s * naccounts + 1,
 						  (int64) (s + 1) * naccounts, naccounts);
 		executeStatement(con, sql.data);
@@ -5758,7 +5771,7 @@ initCreateFKeys(PGconn *con)
 static void
 checkInitSteps(const char *initialize_steps)
 {
-	char	data_init_type = 0;
+	char		data_init_type = 0;
 
 	if (initialize_steps[0] == '\0')
 		pg_fatal("no initialization steps specified");
-- 
2.43.0

